<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:rich="http://richfaces.org/rich"
                xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns="http://www.w3.org/1999/xhtml"
                template="//layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalform">
            <h1>#{messages['gazelle.dds.SharePatients']}</h1>

            <h:outputText value="#{messages['gazelle.dds.NoPatientSelected']}"
                          rendered="#{((sharePatientManager.selectedPatientList == null) or (empty sharePatientManager.selectedPatientList))}"/>
            <f:facet name="header">#{messages['gazelle.dds.SharePatient']}</f:facet>
            <a4j:commandButton id="displayAllPatientSelected"
                               rendered="#{((sharePatientManager.selectedPatientList != null) and (not empty sharePatientManager.selectedPatientList))}"
                               value="#{messages['gazelle.dds.ViewPatientList']}" styleClass="gzl-btn-blue"
                               oncomplete="jq162('#viewPatients').modal('show');" render="viewPatientsForm"/>
            <s:div id="sharePatientDiv">
                <s:decorate template="/layout/panels/_panel_title_id.xhtml"
                            rendered="#{((sharePatientManager.selectedPatientList != null) and (not empty sharePatientManager.selectedPatientList))}">
                    <ui:param name="panel_id" value="sharePatientPanel"/>
                    <ui:define name="panel_title">
                        <h:outputText value="#{messages['gazelle.dds.HL7QueryOptionLabel']}"/>
                    </ui:define>
                    <!-- message type selection area -->
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:param name="id" value="messageTypeSelection"/>
                        <ui:define name="label">#{messages['gazelle.dds.MessageToSend']}</ui:define>
                        <h:selectOneRadio id="messageTypeSelection" layout="pageDirection" forceId="true"
                                          value="#{sharePatientManager.selectedMessageType}">
                            <f:selectItems value="#{sharePatientManager.getMessageTypeList()}"/>
                            <a4j:ajax event="change"
                                      execute="@this"
                                      render="manualConfPanelDiv,configDiv,resultDiv,chDiv,sharePatientDiv"
                                      listener="#{sharePatientManager.resetMessage()}"/>
                        </h:selectOneRadio>
                    </s:decorate>

                    <br/>

                    <s:div id="chDiv"
                           rendered="#{(sharePatientManager.selectedMessageType != null) and       (not sharePatientManager.selectedMessageType.equals(sharePatientManager.getMessageType_3()))}">
                        <a4j:region id="characterSetReg">
                            <s:decorate id="characterSetDecoration" template="/layout/form/_edit.xhtml">
                                <ui:param name="id" value="SelectedCharsetSelection"/>
                                <ui:define name="label">#{messages['gazelle.dds.CharacterSet']}</ui:define>
                                <h:selectOneMenu id="SelectedCharsetSelection"
                                                 value="#{sharePatientManager.selectedCharset}"
                                                 styleClass="form-control">
                                    <s:selectItems value="#{sharePatientManager.getCharsetList()}" var="varCharset"
                                                   label="#{varCharset.charset}"/>
                                    <s:convertEntity/>
                                    <a4j:ajax event="change"
                                              render="manualConfPanelDiv,configDiv,resultDiv"
                                              listener="#{sharePatientManager.resetMessage()}"/>
                                </h:selectOneMenu>
                            </s:decorate>
                        </a4j:region>
                    </s:div>

                    <s:div rendered="#{sharePatientManager.displayWarningCharacterSet}">
                        #{messages['gazelle.dds.AllSelectedPatientHaveNotTheSameNationality']}
                    </s:div>
                </s:decorate>
            </s:div>

            <s:div id="manualConfPanelDiv">
                <s:decorate id="manualConfPanelDecorate" template="/layout/panels/_panel_title_id.xhtml"
                            rendered="#{((sharePatientManager.selectedPatientList != null) and (not empty sharePatientManager.selectedPatientList)) and (sharePatientManager.selectedMessageType != null)}">
                    <ui:param name="panel_id" value="manualConfPanelId"/>
                    <ui:define name="panel_title">
                        <h:outputText value="#{messages['gazelle.dds.TargetsSelected']}"/>
                    </ui:define>
                    <a4j:region id="manualNameReg">
                        <s:decorate id="manualNameDecoration" template="/layout/form/_edit.xhtml">
                            <ui:param name="id" value="manualNameInput"/>
                            <ui:define name="label">#{messages['gazelle.dds.SystemName']}
                            </ui:define>
                            <h:inputText id="manualNameInput" styleClass="form-control" required="true"
                                         value="#{sharePatientManager.manualConfig.name}" size="50"/>
                        </s:decorate>
                    </a4j:region>
                    <a4j:region id="manualIPReg"
                                rendered="#{(not sharePatientManager.selectedMessageType.equals(sharePatientManager.getMessageType_3()))}">
                        <s:decorate id="manualIPDecoration" template="/layout/form/_edit.xhtml">
                            <ui:param name="id" value="hostIP"/>
                            <ui:define name="label">#{messages['gazelle.dds.IPAddress']}
                            </ui:define>
                            <h:inputText styleClass="form-control" id="hostIP" required="true"
                                         value="#{sharePatientManager.manualConfig.ip}"
                                         size="50"/>
                        </s:decorate>
                    </a4j:region>
                    <a4j:region id="manualPortReg"
                                rendered="#{(not sharePatientManager.selectedMessageType.equals(sharePatientManager.getMessageType_3()))}">
                        <s:decorate id="manualPortDecoration" template="/layout/form/_edit.xhtml">
                            <ui:param name="id" value="anualPortInput"/>
                            <ui:define name="label">#{messages['gazelle.dds.Port']}
                            </ui:define>
                            <h:inputText id="anualPortInput" styleClass="form-control" required="true"
                                         value="#{sharePatientManager.manualConfig.port}" size="50"/>
                        </s:decorate>
                    </a4j:region>
                    <a4j:region id="manualUrlReg"
                                rendered="#{(sharePatientManager.selectedMessageType.equals(sharePatientManager.getMessageType_3()))}">
                        <s:decorate id="manualUrlDecoration" template="/layout/form/_edit.xhtml">
                            <ui:param name="id" value="manualUrlInput"/>
                            <ui:define name="label">#{messages['gazelle.dds.URL']}
                            </ui:define>
                            <h:inputText id="manualUrlInput" styleClass="form-control" required="true"
                                         value="#{sharePatientManager.manualConfig.url}" size="50"/>
                        </s:decorate>
                    </a4j:region>
                    <a4j:region id="manualOIDReg"
                                rendered="#{(sharePatientManager.selectedMessageType.equals(sharePatientManager.getMessageType_3()))}">
                        <s:decorate id="manualOIDDecoration" template="/layout/form/_edit.xhtml">
                            <ui:define name="label">#{messages['gazelle.dds.OID']}</ui:define>
                            <h:inputText styleClass="form-control" value="#{sharePatientManager.manualConfig.OID}"
                                         size="50">
                                <a4j:ajax event="blur" render="manualOIDDecoration" execute="@this"/>
                            </h:inputText>
                        </s:decorate>
                    </a4j:region>
                    <a4j:region id="manualRecAppReg">
                        <s:decorate id="manualRecAppDecoration" template="/layout/form/_edit.xhtml">
                            <ui:param name="id" value="manualRecAppInput"/>
                            <ui:define name="label">#{messages['gazelle.dds.ReceivingApplication']}
                            </ui:define>
                            <h:inputText id="manualRecAppInput" styleClass="form-control" required="true"
                                         value="#{sharePatientManager.manualConfig.receivingApplication}" size="50"/>
                        </s:decorate>
                    </a4j:region>
                    <a4j:region id="manualRecFacReg">
                        <s:decorate id="manualRecFacDecoration" template="/layout/form/_edit.xhtml">
                            <ui:param name="id" value="manualRecFacInput"/>
                            <ui:define name="label">#{messages['gazelle.dds.ReceivingFacility']}
                            </ui:define>
                            <h:inputText id="manualRecFacInput" styleClass="form-control" required="true"
                                         value="#{sharePatientManager.manualConfig.receivingFacility}"
                                         size="50"/>
                        </s:decorate>
                    </a4j:region>
                    <a4j:commandButton id="add" type="submit" styleClass="gzl-btn"
                                       value="#{messages['gazelle.common.button.Add']}"
                                       actionListener="#{sharePatientManager.addManualConfig()}"
                                       render="manualConfPanelDiv,configDiv"/>
                </s:decorate>
            </s:div>

            <s:div id="configDiv">
                <s:decorate template="/layout/panels/_panel_title_id.xhtml"
                            rendered="#{(sharePatientManager.displaySystemTable == true) and (sharePatientManager.configs.size()&gt;0)}">
                    <ui:param name="panel_id" value="configPanel"/>
                    <ui:define name="panel_title">
                        <h:outputText value="#{messages['gazelle.dds.SelectedSystemConfig']}"/>
                    </ui:define>
                    <rich:dataTable id="selectedSystemsTable" value="#{sharePatientManager.configs}" var="currentConfig"
                                    onRowMouseOver="this.style.backgroundColor='#94C2E6'"
                                    onRowMouseOut="this.style.backgroundColor='#{a4jSkin.tableBackgroundColor}'">
                        <g:column id="systemNameColumn" sortBy="#{currentConfig.name}" sortOrder="ascending">
                            <ui:define name="header">#{messages['gazelle.dds.SystemName']}</ui:define>
                            <h:outputText value="#{currentConfig.name}"/>
                        </g:column>
                        <g:column id="IPAddressColumn"
                                  rendered="#{(not sharePatientManager.selectedMessageType.equals(sharePatientManager.getMessageType_3()))}">
                            <ui:define name="header">#{messages['gazelle.dds.IPAddress']}</ui:define>
                            <h:outputText value="#{currentConfig.ip}"/>
                        </g:column>
                        <g:column id="portColumn"
                                  rendered="#{(not sharePatientManager.selectedMessageType.equals(sharePatientManager.getMessageType_3()))}">
                            <ui:define name="header">#{messages['gazelle.dds.Port']}</ui:define>
                            <h:outputText value="#{currentConfig.port}"/>
                        </g:column>
                        <g:column id="urlColumn"
                                  rendered="#{(sharePatientManager.selectedMessageType.equals(sharePatientManager.getMessageType_3()))}">
                            <ui:define name="header">#{messages['gazelle.dds.URL']}</ui:define>
                            <h:outputText value="#{currentConfig.url}"/>
                        </g:column>
                        <g:column id="usageColumn"
                                  rendered="#{(sharePatientManager.selectedMessageType.equals(sharePatientManager.getMessageType_3()))}">
                            <ui:define name="header">#{messages['gazelle.dds.Usage']}</ui:define>
                            <h:outputText value="#{currentConfig.usage}"/>
                        </g:column>
                        <g:column id="oidColumn"
                                  rendered="#{(sharePatientManager.selectedMessageType.equals(sharePatientManager.getMessageType_3()))}">
                            <ui:define name="header">#{messages['gazelle.dds.OID']}</ui:define>
                            <h:outputText value="#{currentConfig.OID}"/>
                        </g:column>
                        <g:column id="receivingAppColumn">
                            <ui:define name="header">#{messages['gazelle.dds.ReceivingApplication']}</ui:define>
                            <h:outputText value="#{currentConfig.receivingApplication}"/>
                        </g:column>
                        <g:column id="receivingFacilityColumn">
                            <ui:define name="header">#{messages['gazelle.dds.ReceivingFacility']}</ui:define>
                            <h:outputText value="#{currentConfig.receivingFacility}"/>
                        </g:column>
                        <g:column id="actionColumn">
                            <ui:define name="header">#{messages['gazelle.common.Action']}</ui:define>
                            <a4j:commandLink
                                    actionListener="#{sharePatientManager.setSelectedConfig(currentConfig)}"
                                    oncomplete="jq162('#deleteConfig').modal('show');"
                                    execute="@this"
                                    render="deleteConfigForm">
                                <span class="gzl-icon-trash-o"/>
                            </a4j:commandLink>
                        </g:column>
                    </rich:dataTable>
                    <a4j:commandButton id="send" styleClass="gzl-btn-green"
                                       value="#{messages['gazelle.dds.SendMessage']}"
                                       actionListener="#{sharePatientManager.sendPatientToSystems()}"
                                       type="submit"
                                       execute="@this" render="resultDiv"/>
                    <a4j:commandButton id="emptyConfigListButton" styleClass="gzl-btn"
                                       value="#{messages['gazelle.dds.EmptyList']}"
                                       oncomplete="jq162('#deleteAllConfig').modal('show');"
                                       type="submit"
                                       immediate="true" render="configDiv, resultDiv"/>
                </s:decorate>
            </s:div>
            <s:div id="resultDiv">
                <s:decorate template="/layout/panels/_panel_title_id.xhtml"
                            rendered="#{(sharePatientManager.displayAckList == true) and (sharePatientManager.configs.size()&gt;0)}">
                    <ui:param name="panel_id" value="resultPanel"/>
                    <ui:define name="panel_title">
                        <h:outputText value="#{messages['gazelle.dds.ExchangesSummary']}"/>
                    </ui:define>
                    <a4j:repeat value="#{sharePatientManager.configs}" var="conf">
                        <h:outputText style="font-weight:bold">
                            #{messages['gazelle.dds.ResultsForTheConfig']} : #{conf.name}
                        </h:outputText>
                        <rich:dataTable id="receivedAcknowledgment" value="#{conf.messageLogList}"
                                        var="currentMessageLog" onRowMouseOver="this.style.backgroundColor='#94C2E6'"
                                        onRowMouseOut="this.style.backgroundColor='#{a4jSkin.tableBackgroundColor}'">
                            <g:column id="ackSystemColumn">
                                <ui:define name="header">#{messages['gazelle.dds.SystemName']}</ui:define>
                                <h:outputText value="#{conf.name}"/>
                            </g:column>
                            <g:column id="sentMessageColumn">
                                <ui:define name="header">#{messages['gazelle.dds.SentMessage']}</ui:define>
                                <a4j:region
                                        rendered="#{(not sharePatientManager.selectedMessageType.equals(sharePatientManager.getMessageType_3()))}">
                                    <h:outputText
                                            value="#{(sharePatientManager.shortenMessage(currentMessageLog.sentMessage,100))}"/>
                                    <a4j:commandButton value="#{messages['gazelle.dds.More']}"
                                                       styleClass="gzl-btn"
                                                       actionListener="#{sharePatientManager.setHL7v2MessageToDisplay(currentMessageLog.sentMessage)}"
                                                       oncomplete="jq162('#ViewHL7v3MessagePanel').modal('show');"
                                                       render="ViewHL7v3MessageForm"/>
                                </a4j:region>
                                <a4j:region
                                        rendered="#{(sharePatientManager.selectedMessageType.equals(sharePatientManager.getMessageType_3()))}">
                                    <h:outputText
                                            value="#{(sharePatientManager.shortenMessage(currentMessageLog.sentMessage,522))}"/>
                                    <a4j:commandButton id="displayFullSentMessageButton"
                                                       value="#{messages['gazelle.dds.More']}"
                                                       styleClass="gzl-btn"
                                                       actionListener="#{sharePatientManager.setSelectedMessageToDisplay(currentMessageLog.sentMessage)}"
                                                       oncomplete="jq162('#ViewHL7v3MessagePanel').modal('show');"
                                                       render="ViewHL7v3MessageForm"/>
                                </a4j:region>
                            </g:column>
                            <g:column id="ackBoolReceiveColumn" align="center">
                                <ui:define name="header">#{messages['gazelle.dds.BoolReceived']}</ui:define>
                                <a4j:region rendered="#{(currentMessageLog.ack != null)}">
                                    <h:outputText value="#{messages['gazelle.common.Yes']}"/>
                                </a4j:region>
                                <a4j:region rendered="#{(currentMessageLog.ack == null)}">
                                    <h:outputText value="#{messages['gazelle.common.No']}"/>
                                </a4j:region>
                            </g:column>
                            <g:column id="ackAckCodeColumn"
                                      rendered="#{(not sharePatientManager.selectedMessageType.equals(sharePatientManager.getMessageType_3()))}">
                                <ui:define name="header">#{messages['gazelle.dds.AckCode']}</ui:define>
                                <h:outputText value="#{currentMessageLog.ackCode}"/>
                            </g:column>
                            <g:column id="ackMessageColumn">
                                <ui:define name="header">#{messages['gazelle.dds.Ack']}</ui:define>
                                <a4j:region
                                        rendered="#{(not sharePatientManager.selectedMessageType.equals(sharePatientManager.getMessageType_3()))}">
                                    <h:outputText
                                            value="#{(sharePatientManager.shortenMessage(currentMessageLog.ack,100))}"/>
                                    <a4j:commandButton value="#{messages['gazelle.dds.More']}"
                                                       styleClass="gzl-btn"
                                                       actionListener="#{sharePatientManager.setHL7v2MessageToDisplay(currentMessageLog.ack)}"
                                                       oncomplete="jq162('#ViewHL7v3MessagePanel').modal('show');"
                                                       render="ViewHL7v3MessageForm"/>
                                </a4j:region>
                                <a4j:region
                                        rendered="#{(sharePatientManager.selectedMessageType.equals(sharePatientManager.getMessageType_3()))}">
                                    <h:outputText
                                            value="#{(sharePatientManager.shortenMessage(currentMessageLog.ack,522))}"/>
                                    <a4j:commandButton id="displayFullAckButton" value="#{messages['gazelle.dds.More']}"
                                                       styleClass="gzl-btn"
                                                       actionListener="#{sharePatientManager.setSelectedMessageToDisplay(currentMessageLog.ack)}"
                                                       oncomplete="jq162('#ViewHL7v3MessagePanel').modal('show');"
                                                       render="ViewHL7v3MessageForm"/>
                                </a4j:region>
                            </g:column>
                        </rich:dataTable>
                        <br/>
                        <br/>
                    </a4j:repeat>
                    <h:commandButton styleClass="gzl-btn-blue" id="printSummary"
                                     value="#{messages['gazelle.dds.print']}"
                                     action="#{sharePatientManager.printSummary()}" immediate="true"/>
                </s:decorate>
            </s:div>
        </h:form>

        <!-- view hl7 message -->
        <h:form id="ViewHL7v3MessageForm">
            <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                <ui:param name="popup_id" value="ViewHL7v3MessagePanel"/>
                <ui:param name="styleClass" value="modal-lg"/>
                <ui:define name="popup_title">#{messages['gazelle.dds.HL7message']}
                </ui:define>
                <s:div id="divForv3Text">
                    <a4j:region
                            rendered="#{(sharePatientManager.selectedMessageType.equals(sharePatientManager.getMessageType_3()))}">
                        <gdk:insert id="highlightcontent" content="#{sharePatientManager.getSelectedMessageToDisplay()}"
                                    highlight="xml"/>
                    </a4j:region>
                    <a4j:region
                            rendered="#{(not sharePatientManager.selectedMessageType.equals(sharePatientManager.getMessageType_3()))}">
                        <gri:tabPanel>
                            <gri:tab head="#{messages['gazelle.dds.HighlightedMessageContent']}">
                                <h:outputText
                                        value="#{sharePatientManager.highlightForHL7v2Message(sharePatientManager.selectedMessageToDisplay)}"
                                        escape="false"/>
                            </gri:tab>
                            <gri:tab head="#{messages['gazelle.dds.XMLTreeMessageContent']}">
                                <rich:tree id="treeXML" value="#{sharePatientManager.xmlTreeData}" var="vardata"
                                           style="overflow: auto;background-color:white;" toggleType="client">
                                    <rich:treeNode>
                                        <h:outputText value="#{vardata.data.name} : #{vardata.data.text}"/>
                                    </rich:treeNode>
                                </rich:tree>
                                <h:outputText rendered="#{sharePatientManager.xmlTreeData == null}"
                                              value="#{messages['gazelle.dds.messageTypeNotValid']}"/>
                            </gri:tab>
                            <gri:tab head="#{messages['gazelle.dds.XMLMessageContent']}">
                                <gdk:insert content="#{sharePatientManager.xmlMessageContent}" highlight="xml"/>
                                <h:outputText rendered="#{sharePatientManager.xmlMessageContent == null}">
                                    #{messages['gazelle.dds.messageTypeNotValid']}
                                </h:outputText>
                            </gri:tab>
                            <gri:tab head="#{messages['gazelle.dds.PlainMessageContent']}">
                                <h:outputText
                                        value="#{sharePatientManager.getPlainMessageContent(sharePatientManager.selectedMessageToDisplay)}"
                                        escape="false"/>
                            </gri:tab>
                        </gri:tabPanel>
                    </a4j:region>
                </s:div>
                <ui:define name="popup_footer">
                    <button type="button" class="gzl-btn" data-dismiss="modal">
                        #{messages['net.ihe.gazelle.maven.Cancel']}
                    </button>
                </ui:define>
            </ui:decorate>
        </h:form>

        <!-- View all selected Patients -->
        <h:form id="viewPatientsForm">
            <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                <ui:param name="popup_id" value="viewPatients"/>
                <ui:define name="popup_title">#{messages['gazelle.dds.PatientList']}
                </ui:define>
                <s:div id="viewPatientsDiv">
                    <rich:list var="pat" value="#{sharePatientManager.selectedPatientList}" type="unordered"
                               title="Patient List">
                        <h:outputText>(#{pat.id})</h:outputText>
                        <gdk:spacer width="4"/>
                        <h:outputText value="#{pat.person.lastAlternativeName}"
                                      rendered="#{pat.person.lastName == null}"/>
                        <h:outputText value="#{pat.person.lastName.value}" rendered="#{pat.person.lastName != null}"/>
                        <gdk:spacer width="4"/>
                        <h:outputText value="#{pat.person.firstAlternativeName}"
                                      rendered="#{pat.person.firstNameSex == null}"/>
                        <h:outputText value="#{pat.person.firstNameSex.firstName}"
                                      rendered="#{pat.person.firstNameSex != null}"/>
                    </rich:list>
                </s:div>
                <ui:define name="popup_footer">
                    <button type="button" class="gzl-btn" data-dismiss="modal">
                        #{messages['net.ihe.gazelle.maven.Cancel']}
                    </button>
                </ui:define>
            </ui:decorate>
        </h:form>


        <h:form id="deleteConfigForm">
            <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                <ui:param name="popup_id" value="deleteConfig"/>
                <ui:define name="popup_title">#{messages['net.ihe.gazelle.maven.ConfigurationDeletion']}</ui:define>
                <s:div id="deleteConfigDiv">
                    <h:outputText value="#{messages['net.ihe.gazelle.maven.AreYouSureToDeleteThisConfiguration']}"/>
                </s:div>
                <ui:define name="popup_footer">
                    <button type="button" class="gzl-btn" data-dismiss="modal">
                        #{messages['net.ihe.gazelle.maven.Cancel']}
                    </button>
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.maven.Remove']}" styleClass="gzl-btn-red"
                                       onclick="jq162('#deleteConfig').modal('hide');"
                                       render="configDiv"
                                       actionListener="#{sharePatientManager.removeConfigFromList()}"/>
                </ui:define>
            </ui:decorate>
        </h:form>

        <h:form id="deleteAllConfigForm">
            <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                <ui:param name="popup_id" value="deleteAllConfig"/>
                <ui:define name="popup_title">#{messages['net.ihe.gazelle.maven.AllConfigurationsDeletion']}</ui:define>
                <s:div id="deleteAllConfigDiv">
                    <h:outputText value="#{messages['net.ihe.gazelle.maven.AreYouSureToDeleteAllConfigurations']}"/>
                </s:div>
                <ui:define name="popup_footer">
                    <button type="button" class="gzl-btn" data-dismiss="modal">
                        #{messages['net.ihe.gazelle.maven.Cancel']}
                    </button>
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.maven.Remove']}" styleClass="gzl-btn-red"
                                       onclick="jq162('#deleteAllConfig').modal('hide');"
                                       render="configDiv"
                                       actionListener="#{sharePatientManager.emptyConfigList()}"/>
                </ui:define>
            </ui:decorate>
        </h:form>

    </ui:define>
</ui:composition>
